%define gimpplugindir %(gimptool-2.0 --gimpplugindir)

Name: gimp-plugin-wavelet-denoise
Version: 0.3
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: GIMP tool for reducing sensor noise in an image
# GPL v2 only - stated in source
License: GPLv2
Group: Graphics

Url: http://registry.gimp.org/node/4235/
Source: http://registry.gimp.org/files/wavelet-denoise-%{version}b.tar.gz

Requires: gimp >= 2.2
# Automatically added by buildreq on Thu Aug 28 2008
BuildRequires: libgimp-devel

%description
The wavelet denoise plugin is a tool to selectively reduce noise in individual
channels of an image with optional RGB<->YCbCr conversion. It has a user
inteface to adjust the amount of denoising applied. The wavelet nature of the
algorithm makes the processing quite fast.

%prep
%setup -n wavelet-denoise-%{version}b

%build
%make_build

%install
export DESTDIR=%buildroot
gimptool-2.0 --install-admin-bin src/wavelet-denoise
install -pD -m644 po/german.mo %buildroot%_datadir/locale/de/LC_MESSAGES/wavelet-denoise.mo

%find_lang wavelet-denoise

%files -f wavelet-denoise.lang
%gimpplugindir/plug-ins/*

%changelog
* Wed Nov 26 2008 Victor Forsyuk <force@altlinux.org> 0.3-alt1
- 0.3

* Thu Aug 28 2008 Victor Forsyuk <force@altlinux.org> 0.2-alt1
- Initial build.
